import { Component, OnInit } from '@angular/core';
import { HttpService } from '../http.service';
import { Router, ActivatedRoute, Params } from '@angular/router';
import { Movie } from '../movie';

@Component({
  selector: 'app-movies',
  templateUrl: './movies.component.html',
  styleUrls: ['./movies.component.css'],
  providers: []
})
export class MoviesComponent {

  movies: Movie[] | undefined;
  constructor(private service: HttpService,
              private route: ActivatedRoute,
              private router: Router) {
  }



  async playMovie(movie: Movie) {
    const path: string = await this.service.getVideoPath(movie.id);
    this.router.navigate(['/video-play', path]);
 }

  onClick(searchName: string) {
     this.service.getMovie(searchName).subscribe(response => this.movies = response);
  }

  popularMovies() {
    // debugger;
    this.service.getMostPopularMovies().subscribe(response => this.movies = response);
    // console.log(this.movies);
  }

  highRatedMovies() {
    this.service.getHigestRatedMovies().subscribe(response => this.movies = response);
  }

  upcomingMovies() {
    this.service.getUpcommingMovies().subscribe(response => this.movies = response);
  }

}
